Skip to main content
`Ctrl`+`K`

# PetscDeviceContextSetUp

Prepares a `PetscDeviceContext` for use

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextSetUp(PetscDeviceContext dctx)

Not Collective

## Input Parameter

- dctx - The `PetscDeviceContext`

## Developer Notes

This routine is usually the stage where a `PetscDeviceContext` acquires device-side data structures such as streams, events, and (possibly) handles.

## See Also

`PetscDeviceContextCreate()`, `PetscDeviceContextSetDevice()`, `PetscDeviceContextDestroy()`, `PetscDeviceContextSetFromOptions()`

## Level

beginner

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages